Subject: Re: bug#55488: GDM, GNOME: Can't start desktop session after upgrade

From: Luis Felipe <[email-masked]>
Date: Sun, 05 Jun 2022 13:19:50 +0000

Howdy,

On Friday, June 3rd, 2022 at 22:54, Ludovic Courtès <[email-masked]> wrote:

> Here’s another debugging trick; would be great if you could try this:
> 

> --8<---------------cut here---------------start------------->8---
> 

> (define strace-syslogd
> (program-file "strace-syslogd"
> #~(apply execl #$(file-append strace "/bin/strace")
> "strace" ;argv[0]
> "-f" "-Tt" "-o" "/syslogd.log" "-s" "80"
> #$(file-append inetutils "/libexec/syslogd")
> (cdr (command-line)))))
> --8<---------------cut here---------------end--------------->8---
> 

> and then:

> --8<---------------cut here---------------start------------->8---
> 

> (modify-services %desktop-services
> (syslog-service-type
> _ => (syslog-configuration
> 

> (syslogd strace-syslogd))))
> --8<---------------cut here---------------end--------------->8---
> 

> This creates a log file, /syslogd.log, which will allow us to see the
> time it takes syslogd to read from /proc/kmsg and hopefully to determine
> the origin of delays.

I see you already tried this on the other machine, but I gave this a try too just in case and sent the log to you privately. I'll try the other tricks next.